Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.history
Class NewCardHistoryPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.history.NewCardHistoryPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class NewCardHistoryPanel
extends com.google.gwt.user.client.ui.Composite

Constructor Summary
`NewCardHistoryPanel()`

Method Summary
`CardHistoryPanelFooter` | `getCardHistoryFooter()`
`com.google.gwt.user.client.ui.Widget` | `getCardHistoryWidget()`
`void` | `getHistory()`
`int` | `getPageNumber()`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewCardHistoryPanel

    public NewCardHistoryPanel()

Method Detail

### getHistory

    public void getHistory()

### getCardHistoryWidget

    public com.google.gwt.user.client.ui.Widget getCardHistoryWidget()

### getPageNumber

    public int getPageNumber()

### getCardHistoryFooter

    public CardHistoryPanelFooter getCardHistoryFooter()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD